## org.apache.lucene.index
Class CheckIndex.Status.TermVectorStatus

    java.lang.Object
      org.apache.lucene.index.CheckIndex.Status.TermVectorStatus

Enclosing class:
  CheckIndex.Status

    public static final class CheckIndex.Status.TermVectorStatus

extends java.lang.Object

Status from testing stored fields.

Field Summary
`int` `docCount` Number of documents tested.
`java.lang.Throwable` `error` Exception thrown during term vector test (null on success)
`long` `totVectors` Total number of term vectors tested.

Constructor Summary
`CheckIndex.Status.TermVectorStatus()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### docCount

    public int docCount

  Number of documents tested.

### totVectors

    public long totVectors

  Total number of term vectors tested.

### error

    public java.lang.Throwable error

  Exception thrown during term vector test (null on success)

Constructor Detail

### CheckIndex.Status.TermVectorStatus

    public CheckIndex.Status.TermVectorStatus()

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.